Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.servlet
Class Invoker

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.mortbay.jetty.servlet.Invoker

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

    public class Invoker

extends HttpServlet

Dynamic Servlet Invoker. This servlet invokes anonymous servlets that have not been defined in the web.xml or by other means. The first element of the pathInfo of a request passed to the envoker is treated as a servlet name for an existing servlet, or as a class name of a new servlet. This servlet is normally mapped to /servlet/* This servlet support the following initParams:

      nonContextServlets       If false, the invoker can only load
                               servlets from the contexts classloader.
                               This is false by default and setting this
                               to true may have security implications.

      verbose                  If true, log dynamic loads

      *                        All other parameters are copied to the
                               each dynamic servlet as init parameters

Version:
  $Id: Invoker.java 1344 2006-12-01 22:31:56Z gregw $
Author:
  Greg Wilkins (gregw)
See Also:
  Serialized Form

Constructor Summary
`Invoker()`

Method Summary
`void` | `init()` A convenience method which can be overridden so that there's no need to call `super.init(config)`.
`protected void` | `service(HttpServletRequest request, HttpServletResponse response)` Receives standard HTTP requests from the public `service` method and dispatches them to the `do` XXX methods defined in this class.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Invoker

    public Invoker()

Method Detail

### init

    public void init()

  Description copied from class: `GenericServlet`
  A convenience method which can be overridden so that there's no need to call `super.init(config)`.

  Instead of overriding `GenericServlet.init(ServletConfig)`, simply override this method and it will be called by `GenericServlet.init(ServletConfig config)`. The `ServletConfig` object can still be retrieved via `GenericServlet.getServletConfig()`.

  Overrides:
    `init` in class `GenericServlet`

### service

    protected void service(HttpServletRequest request,
                           HttpServletResponse response)
                    throws ServletException,
                           IOException

  Description copied from class: `HttpServlet`
  Receives standard HTTP requests from the public `service` method and dispatches them to the `do` XXX methods defined in this class. This method is an HTTP-specific version of the `Servlet.service(javax.servlet.ServletRequest, javax.servlet.ServletResponse)` method. There's no need to override this method.

  Overrides:
    `service` in class `HttpServlet`
  Parameters:
    `request` - the `HttpServletRequest` object that contains the request the client made of the servlet
    `response` - the `HttpServletResponse` object that contains the response the servlet returns to the client
  Throws:
    `ServletException` - if the HTTP request cannot be handled
    `IOException` - if an input or output error occurs while the servlet is handling the HTTP request
  See Also:
    `Servlet.service(javax.servlet.ServletRequest, javax.servlet.ServletResponse)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.